## blosxom 2.1.2

=== Makefile ===
VERSION=$(shell head -1 ChangeLog | sed -e s/v//)

dist:
	rm -rf ../blosxom-$(VERSION)/
	mkdir ../blosxom-$(VERSION)
	cp -priv * ../blosxom-$(VERSION)/
	cd .. && tar cvzf blosxom-$(VERSION).tar.gz --exclude=CVS --exclude='*~' --exclude=".??*" --exclude="#*#" --exclude="*.t" blosxom-$(VERSION)/
	rm -rf ../blosxom-$(VERSION)/

=== debian/changelog ===
blosxom (2.1.2-2) unstable; urgency=medium

  [ Axel Beckert]
  * Apply patch by Chris Lamb to make the build reproducible (closes: #777292)
  * Update my e-mail address.
  * Use "set -e" instead of "-e" option to sh in maintainer scripts.
  * Update Vcs-* header to point to git.deb.at instead of repo.or.cz
    (closes: #718335)
  * Add debian/gbp.conf declaring non-default git branch names.

  [ Rhonda D'Vine ]
  * Get rid of the ancient preinst & postrm files (closes: #512389)
  * Convert debian/rules to dh style.
  * Switch to source format 3.0 (quilt):
    - Rename debian/NEWS.Debian to debian/NEWS.
  * Remove asterisks from debian/NEWS.
  * Bump Standards-Version to 3.9.6.
  * Fix a typo in the manpage.

 -- Rhonda D'Vine <rhonda@debian.org>  Fri, 01 Jan 2016 16:30:23 +0100

blosxom (2.1.2-1) unstable; urgency=high

  * New upstream release: Fixes Cross-Site Scripting (XSS) vulnerability with
    respect to unknown flavours (CVE-2008-2236) (closes: #500873)
  * Corrected Axel's email address in Uploaders field, sorry.
  * Corrected Vcs-Browser entry in debian/control.

 -- Gerfried Fuchs <rhonda@debian.at>  Thu, 02 Oct 2008 13:38:39 +0200

blosxom (2.1.1-1) unstable; urgency=low

  [ Gerfried Fuchs ]
  * New upstream release which fixes a regression from the previous blosxom
    2.0 version we have currently in stable (closes: #492987)
  * Add Vcs-* informations to source control file.
  * Forgot to mention in the previous upload that I added Axel Beckert as
    Co-Maintainer. Welcome on board. :)
  * Update debian/README.Debian with more current informations, especially
    related to referencing the proper URLs (closes: #492985)
  * Add the moved $encode_xml_entities config option to blosxom.conf, too.

  [ Axel Beckert ]
  * Clearified debian/NEWS.Debian with respect to rss aggregators.
  * Fix copyright year information for Rael on blosxom.cgi.

 -- Gerfried Fuchs <rhonda@debian.at>  Thu, 07 Aug 2008 17:15:31 -0300

blosxom (2.1.0-1) unstable; urgency=low

  * New upstream release which did incorporate all patches and in parts also
    improved them. Wooh.
  * Updated blosxom.conf with additional default values.
  * Added NEWS.Debian entry about the most important changes triggered by
    that.
  * Fixed/Updated copyright informations.
  * Install now available upstream ChangeLog.
  * Added watch file.
  * Moved timezone plugin to /etc/blosxom/plugins-available so people can
    symlink if they like but are not forced to use it (closes: #237018)
  * Added new 00RssLimit plugin, enabled by default, with limited to 5
    entries in RSS flavours, no change for others (closes: #373570)
  * Generate conffiles file automatically to not miss anything
  * Changed postrm symlink cleanup to cleaning every symlink in the flavours
    dir (Closes: #454942, #486924)
  * Added preinst script to cleanup flavour symlinks which aren't shipped
    anymore, removed old postinst script.
  * Changed postrm to only do the cleanup when the directory still exists,
    thanks to Carsten Hey for pointing it out.
  * Bumped Standards-Version to 3.8.0:
    - Added Homepage: to control file.
  * Removed debian/compat which wasn't used anymore anyway.
  * Fixed a typo in the former changelog entry.

 -- Gerfried Fuchs <rhonda@debian.at>  Fri, 25 Jul 2008 16:19:49 +0200

blosxom (2.0-15) unstable; urgency=low

  * The "is it this time of the year again..." release.
  * Set myself as lone maintainer.
  * Remove debhelper stuff.
  * Remove debconf handling for upgrades since before sarge release
    (closes: #388830, #313164, #422247, #420956)
  * Fixed image URL in cgi script (closes: #406445)
  * Pulled fix for xml breakage from new sf.net upstream release
    (closes: #280912)
  * Fixed postrm (closes: #372480)
  * debian/rules: Removed some cruft.
  * Use ctime from POSIX instead of Time::localtime which seems to break
    localtime()'s $isdst which is needed to fix the timezone handling for
    nice_date (closes: #233403)
  * Get rid of param("-f") and replace it by more flexible usable
    $ENV{BLOSXOM_CONFIG_FILE} (closes: #423441, #234309)
  * Add a NEWS.Debian file about these changes.

 -- Gerfried Fuchs <rhonda@debian.at>  Fri, 27 Jul 2007 16:53:14 +0200

blosxom (2.0-14) unstable; urgency=low

  alfie:
  * Added debconf translations:
    Czech by Miroslav Kure (closes: #315832)
    Vietnamese by Clytie Siddall (closes: #313163)
    Swedish by Daniel Nylander (closes: #339787)
    Spanish by César Gómez Martín (closes: #333890)
  * Updated URLs in copyright file, noticed by Alexander Schmehl
    (closes: #366326)
  * Added | debconf-2.0 alternative (closes: #331763)
  * Set debhelper compat to 5 and bumped standards version to 3.7.2.

 -- Gerfried Fuchs <alfie@debian.org>  Thu, 25 May 2006 02:10:23 -0500

blosxom (2.0-13) unstable; urgency=medium

  * The "last minute flight to sarge" release
  alfie:
  * Updated ja debconf translation from Hideki Yamane (closes: #311173)

 -- Gerfried Fuchs <alfie@debian.org>  Tue, 31 May 2005 14:49:17 +0200

blosxom (2.0-12) unstable; urgency=high

  * The "... and some other parts" release
  alfie:
  * Don't make the flavour symlinks symlinks to themselves but instead to the
    real files (closes: #303963)
  * Remove /var/www/blosxom/flavours from the package, it isn't used
    anymore.
  * Changed dpkg --compare-versions from lt-nl to lt in postinst. We want to
    create the symlinks on new installs, too.
  * Remove flavour symlinks again on purge.

 -- Gerfried Fuchs <alfie@debian.org>  Fri, 15 Apr 2005 08:31:46 +0200

blosxom (2.0-11) unstable; urgency=low

  * The "you'll always miss some part of testing" release
  alfie:
  * Added /var/lib/blosxom/data/flavours directory to package and use the
    correct path in postinst to let the postinst symlink stuff actually work
    *sighs* (closes: #302168)
  * Make the backup of old data not fail (closes: #302277)
  * Changed /var/lib/blosxom/static to www-data too, to allow the cgi script


=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	# no, nothing to build here

override_dh_installdirs:
	dh_installdirs
	chown www-data:www-data debian/blosxom/var/lib/blosxom/state
	chown www-data:www-data debian/blosxom/var/lib/blosxom/static
	cp blosxom.cgi debian/blosxom/usr/lib/cgi-bin/blosxom

=== debian/watch ===
version=3
http://sf.net/blosxom/blosxom-([\d.]+)\.tar\.gz

## blosxom 2.2.0

=== Makefile ===
--- 
+++ 
@@ -7,4 +7,9 @@
 	cd .. && tar cvzf blosxom-$(VERSION).tar.gz --exclude=CVS --exclude='*~' --exclude=".??*" --exclude="#*#" --exclude="*.t" blosxom-$(VERSION)/
 	rm -rf ../blosxom-$(VERSION)/
 
+test:
+	prove -v t/*.t
 
+tidycheck:
+	perltidy blosxom.cgi | diff -u blosxom.cgi -
+

=== t/Makefile ===

all: test

test: 
	prove -v *.t

=== debian/changelog ===
blosxom (2.2.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Maintain package in Debian team
  * Secure URI in Homepage
  * d/watch: version=5
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Build time test needs Build-Depends: libyaml-perl, libtest-differences-perl,
    libfile-dircompare-perl, libfile-remove-perl, libcgi-pm-perl
  * Recommends: s/apache/apache2/
  * Cleanup upstream source from ._* files via Files-Excluded
  * Fix permissions of directories in /var/lib/blosxom
    Closes: #1091770

  [ Emmanuel Arias ]
  * d/control: Add my self as uploaders (Closes: #1119716).

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 02 Nov 2025 11:07:51 -0300

blosxom (2.1.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089295)

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 08:11:19 +0000

blosxom (2.1.2-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 13:36:59 +0100

=== debian/control ===
Source: blosxom
Standards-Version: 4.7.2
Maintainer: Rhonda D'Vine <rhonda@debian.org>
Uploaders:
 Axel Beckert <abe@debian.org>,
 Emmanuel Arias <eamanu@debian.org>
Section: web
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libyaml-perl <!nocheck>,
 libtest-differences-perl <!nocheck>,
 libfile-dircompare-perl <!nocheck>,
 libfile-remove-perl <!nocheck>,
 libcgi-pm-perl <!nocheck>,
Vcs-Browser: https://salsa.debian.org/debian/blosxom
Vcs-Git: https://salsa.debian.org/debian/blosxom.git
Homepage: https://blosxom.sourceforge.net/
Rules-Requires-Root: binary-targets

Package: blosxom
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 apache2 | httpd,
Description: light, feature-packed weblog app with plugin extensibility
 Blosxom (pronounced "Blossom") is a lightweight yet feature-packed
 weblog application designed from the ground up with simplicity,
 usability, and interoperability in mind.
 .
 Fundamental is its reliance upon the file system, folders and files as
 its content database. Blosxom's weblog entries are plain text files
 like any other. Write from the comfort of your favorite text editor
 and hit the Save button. Create, edit, rename, and delete entries on
 the command-line, via FTP, WebDAV, or anything else you might use to
 manipulate your files. There's no import or export; entries are
 nothing more complex than title on the first line, body being
 everything thereafter.
 .
 Despite its tiny footprint, Blosxom doesn't skimp on features,
 sporting the majority of features one would find in any other Weblog
 application.  Additionally, Blosxom 2 includes support for plugins, and
 thus much more extensive customization.
 .
 Blosxom is simple, straightforward, minimalist Perl affording even the
 dabbler an opportunity for experimentation and customization. And
 last, but not least, Blosxom is open source and free for the taking
 and altering.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	# no, nothing to build here

override_dh_install:
	dh_install
	cp blosxom.cgi debian/blosxom/usr/lib/cgi-bin/blosxom

execute_after_dh_fixperms:
	chown www-data:www-data debian/blosxom/var/lib/blosxom/state
	chown www-data:www-data debian/blosxom/var/lib/blosxom/static
